> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the nominal power of an Entity

> Returns the nominal power setting of the Entity



## OpenAPI

````yaml get /v1/entities/{entityId}/nominal-power
openapi: 3.0.4
info:
  title: DER Connect Entities API
  description: Provides endpoints to manage entities.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
paths:
  /v1/entities/{entityId}/nominal-power:
    get:
      tags:
        - Nominal power
      summary: Retrieve the nominal power of an Entity
      description: Returns the nominal power setting of the Entity
      operationId: GetEntityNominalPowerEndpoint
      parameters:
        - name: entityId
          in: path
          description: The id of the Entity
          required: true
          schema:
            type: string
            format: uuid
          example: 5a554157-5a5a-4547-384c-423033333139
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Service.Entity.App.Endpoints.V1.NominalPower.EntityNominalPowerResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Service.Entity.App.Endpoints.V1.NominalPower.EntityNominalPowerResponse:
      type: object
      properties:
        nominalPower:
          type: number
          format: double
      additionalProperties: false
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````